/*  Menu Items */
.menuItems-large a {
    width: 155px;
    height: 36px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    background-color: #f3f9fb;
    border-radius: 18px;
    transition: background-color 0.3s, color 0.3s;
}

.menuItems-large a.clicked {
    background-color: #6f542a;
    color: white;
}

/* Categories and Menus Styles */
.menusItem,
.categories-items {
    display: block;
    margin: 8px 0;
}

.categories-items a,
.menus-items a {
    margin: 1px 0;
    padding: 10px 15px;
    background-color: #ffffff;
    border-radius: 5px;
    cursor: pointer;
    display: flex;
    justify-content: left;
    font-size: 1rem;
    text-align: left;
    transition: all 0.3s ease;
    border-bottom: 1px solid rgb(219, 219, 219);
}

.categories-items a:hover,
.menus-items a:hover {
    background-color: #6f542a;
    color: white;
}

/* Active Tab Styles */
.active-tab {
    background-color: #6f542a !important;
    color: white !important;
    font-weight: bold;
}

/* Badge Icon */
.badgeIcon {
    position: absolute;
    border-radius: 50%;
    position: absolute;
    border-radius: 50%;
    top: 13px;
    left: 65%;
    width: 15px;
    height: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    justify-content: center;
    align-items: center;
    font-size: 12px;
    background-color: #6f542a;
}

.categoriesMenuContent {
    width: 40% !important;
}

#speedDialButton {
    display: flex;
    flex-direction: column;
    position: fixed;
    bottom: 140px;
    right: 20px;
    opacity: 0;
    transform: scale(0.8);
    pointer-events: none;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

#speedDialButton.show {
    opacity: 1;
    transform: scale(1);
    pointer-events: auto;
}

/* Individual Button Styles */
#speedDialButton li {
    height: 50px;
    width: 50px;
    font-size: 28px;
    color: white;
    font-weight: bolder;
    cursor: pointer;
    border-radius: 50%;
    margin-bottom: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

#speedDialButton li:hover {
    transform: scale(1.1);
    opacity: 0.9;
}

/* Button Colors */
#speedDialButton li:nth-child(1) {
    background-color: #06f34de0;
}
#speedDialButton li:nth-child(2) {
    background-color: #065dffe0;
}
#speedDialButton li:nth-child(3) {
    background-color: #04d141e0;
}

/* Open and Close Buttons */
#speedDialActionOpen,
#speedDialActionClose {
    height: 50px;
    width: 50px;
    font-size: 28px;
    color: white;
    font-weight: bolder;
    cursor: pointer;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #a886cd;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

#speedDialActionOpen:hover,
#speedDialActionClose:hover {
    transform: scale(1.1);
    opacity: 0.9;
}

/* Positioning */
#speedDialActionClose,
#speedDialActionOpen {
    position: fixed;
    bottom: 90px;
    right: 20px;
    z-index: 1055 !important;
}

#speedDialActionOpen:before {
    display: block;
    content: "Live chat";
    position: absolute;
    background-color: #f3f9fb;
    padding: 4px 24px 4px 10px;
    color: black;
    font-size: 14px;
    clip-path: polygon(
        0 100%,
        1% 0,
        85% 0,
        85% 34%,
        91% 51%,
        85% 67%,
        85% 100%
    );
    top: 50%;
    left: -100px;
    border-radius: 8px;
    transform: translateY(-50%);
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    -ms-border-radius: 8px;
    -o-border-radius: 8px;
}

/* Responsive Styles */
@media (max-width: 768px) {
    .categories-items a,
    .menus-items a {
        text-align: center;
    }
    .cart-modal-content {
        width: 50%;
    }
    .badgeIcon {
        top: 13px;
        left: 71%;
        width: 15px;
        height: 15px;
        font-size: 10px;
    }
    .categoriesMenuContent {
        width: 75% !important;
        padding: 15px;
    }
}

@media (max-width: 560px) {
    .categories-items a,
    .menus-items a {
        font-size: 0.9rem;
        text-align: center;
    }
    .cart-modal-content {
        width: 90%;
    }
    .badgeIcon {
        background-color: red !important;
    }
    .categoriesMenuContent {
        width: 85% !important;
        padding: 10px;
    }
    #speedDialActionOpen:before {
        display: none;
    }
}
